# Created by pyp2rpm-3.0.1
%global pypi_name jupyter_console
%global pypi_name_dash jupyter-console

Name:           python-%{pypi_name_dash}
Version:        5.2.0
Release:        1%{?dist}
Summary:        A terminal-based console frontend for Jupyter kernels.

License:        BSD
URL:            http://jupyter.org
Source0:        https://github.com/jupyter/jupyter_console/archive/%{version}.tar.gz
Patch0:         jupyter_console_remove_sphinx_github_alt.patch
BuildArch:      noarch

BuildRequires:  python2-setuptools python3-setuptools python2-devel python3-devel python3-sphinx

%description

A terminal-based console frontend for Jupyter kernels. This code is based on the single-process IPython terminal.
Jupyter Console allows for console-based interaction with non-python Jupyter kernels such as IJulia, IRKernel.

%package -n     python2-%{pypi_name_dash}
Summary:        A terminal-based console frontend for Jupyter kernels.
%{?python_provide:%python_provide python2-%{pypi_name_dash}}

# Provide / Obsolete existing python-jupyter_core
Provides:       python2-%{pypi_name} = %{version}-%{release}
%{?python_provide:%python_provide python2-%{pypi_name}}

Requires:       python2-setuptools
%description -n python2-%{pypi_name_dash}

A terminal-based console frontend for Jupyter kernels. This code is based on the single-process IPython terminal.
Jupyter Console allows for console-based interaction with non-python Jupyter kernels such as IJulia, IRKernel.

%package -n     python%{python3_pkgversion}-%{pypi_name_dash}
Summary:        A terminal-based console frontend for Jupyter kernels.
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name_dash}}

Provides:       python%{python3_pkgversion}-%{pypi_name} = %{version}-%{release}

Requires:       python%{python3_pkgversion}-setuptools

%description -n python%{python3_pkgversion}-%{pypi_name_dash}

A terminal-based console frontend for Jupyter kernels. This code is based on the single-process IPython terminal.
Jupyter Console allows for console-based interaction with non-python Jupyter kernels such as IJulia, IRKernel.

%package -n python-%{pypi_name_dash}-doc
Summary:        Documentation for the terminal-based console frontend for Jupyter kernels.
%description -n python-%{pypi_name_dash}-doc
A terminal-based console frontend for Jupyter kernels. This code is based on the single-process IPython terminal.
Jupyter Console allows for console-based interaction with non-python Jupyter kernels such as IJulia, IRKernel.

This package contains documentation for python-%{pypi_name_dash}.

%prep
%autosetup -n %{pypi_name}-%{version} -p 1

%build
%py2_build
%py3_build
# generate html docs
PYTHONPATH=build/lib/ sphinx-build docs html
# remove the sphinx-build leftovers
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install
mv %{buildroot}/%{_bindir}/jupyter-console %{buildroot}/%{_bindir}/jupyter-console-3
%py2_install
mv %{buildroot}/%{_bindir}/jupyter-console %{buildroot}/%{_bindir}/jupyter-console-2

%files -n python2-%{pypi_name_dash}
%license COPYING.md
%doc README.md
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python2_sitelib}/%{pypi_name}/
%{_bindir}/*-2

%files -n python%{python3_pkgversion}-%{pypi_name_dash}
%license COPYING.md
%doc README.md
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitelib}/%{pypi_name}/
%{_bindir}/*-3

%files -n python-%{pypi_name_dash}-doc
%doc html

%changelog
* Sat Apr 14 2018 Eldar Yusupov <eyusupov@gmail.com> - 5.2.0-1
- Initial package.
